org.eclipse.microprofile.reactive.messaging.tck.signatures.publishers

## Class VerifierForPublisherBean

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.publishers.VerifierForPublisherBean

    @ApplicationScoped
    public class VerifierForPublisherBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VerifierForPublisherBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.reactivestreams.Subscriber<Message<Integer>>` `getFromInfiniteAsyncMessageGenerator()`
`org.reactivestreams.Subscriber<Integer>` `getFromInfiniteAsyncPayloadGenerator()`
`org.reactivestreams.Subscriber<Message<Integer>>` `getFromInfiniteMessageGenerator()`
`org.reactivestreams.Subscriber<Integer>` `getFromInfinitePayloadGenerator()`
`void` `getMessageFromAPublisherBuilder(String value)`
`void` `getMessageFromASubclassOfPublisher(String value)`
`void` `getMessageFromPublisher(String value)`
`void` `getPayloadFromASubclassOfPublisher(String value)`
`void` `getPayloadFromPublisher(String value)`
`void` `getPayloadFromPublisherBuilder(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VerifierForPublisherBean

    public VerifierForPublisherBean()

### Method Detail

#### getMessageFromASubclassOfPublisher

    public void getMessageFromASubclassOfPublisher(String value)

#### getPayloadFromASubclassOfPublisher

    public void getPayloadFromASubclassOfPublisher(String value)

#### getMessageFromAPublisherBuilder

    public void getMessageFromAPublisherBuilder(String value)

#### getPayloadFromPublisherBuilder

    public void getPayloadFromPublisherBuilder(String value)

#### getPayloadFromPublisher

    public void getPayloadFromPublisher(String value)

#### getMessageFromPublisher

    public void getMessageFromPublisher(String value)

#### getFromInfinitePayloadGenerator

    public org.reactivestreams.Subscriber<Integer> getFromInfinitePayloadGenerator()

#### getFromInfiniteMessageGenerator

    public org.reactivestreams.Subscriber<Message<Integer>> getFromInfiniteMessageGenerator()

#### getFromInfiniteAsyncPayloadGenerator

    public org.reactivestreams.Subscriber<Integer> getFromInfiniteAsyncPayloadGenerator()

#### getFromInfiniteAsyncMessageGenerator

    public org.reactivestreams.Subscriber<Message<Integer>> getFromInfiniteAsyncMessageGenerator()